From 81ff29d309cdee20cd4cf830b155754857ebbb89 Mon Sep 17 00:00:00 2001
From: Amul Sul <amul.sul@enterprisedb.com>
Date: Thu, 14 Nov 2019 23:59:21 -0500
Subject: [PATCH 5/5] cleanup - rearrage arguments & minor comment

---
 src/backend/partitioning/partbounds.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/src/backend/partitioning/partbounds.c b/src/backend/partitioning/partbounds.c
index 9748dda8e2a..ba607e5c681 100644
--- a/src/backend/partitioning/partbounds.c
+++ b/src/backend/partitioning/partbounds.c
@@ -182,7 +182,7 @@ static bool compare_range_partitions(int partnatts, FmgrInfo *partsupfuncs,
 						 PartitionRangeBound *upper_bound1,
 						 PartitionRangeBound *lower_bound2,
 						 PartitionRangeBound *upper_bound2,
-						 int *ub_cmpval, int *lb_cmpval);
+						 int *lb_cmpval, int *ub_cmpval);
 static void
 get_merged_range_bounds(int partnatts, FmgrInfo *partsupfuncs,
 						Oid *partcollations, JoinType jointype,
@@ -3251,7 +3251,7 @@ compare_range_partitions(int partnatts, FmgrInfo *partsupfuncs,
 						 PartitionRangeBound *upper_bound1,
 						 PartitionRangeBound *lower_bound2,
 						 PartitionRangeBound *upper_bound2,
-						 int *ub_cmpval, int *lb_cmpval)
+						 int *lb_cmpval, int *ub_cmpval)
 {
 	bool		overlap;
 
@@ -3265,25 +3265,25 @@ compare_range_partitions(int partnatts, FmgrInfo *partsupfuncs,
 							 lower_bound1, upper_bound2) > 0)
 	{
 		overlap = false;
-		*ub_cmpval = 1;
 		*lb_cmpval = 1;
+		*ub_cmpval = 1;
 	}
 	else if (compare_range_bounds(partnatts, partsupfuncs, partcollations,
 								  lower_bound2, upper_bound1) > 0)
 	{
 		overlap = false;
-		*ub_cmpval = -1;
 		*lb_cmpval = -1;
+		*ub_cmpval = -1;
 	}
 	else
 	{
 		overlap = true;
-		*ub_cmpval = compare_range_bounds(partnatts, partsupfuncs,
-										  partcollations, upper_bound1,
-										  upper_bound2);
 		*lb_cmpval = compare_range_bounds(partnatts, partsupfuncs,
 										  partcollations, lower_bound1,
 										  lower_bound2);
+		*ub_cmpval = compare_range_bounds(partnatts, partsupfuncs,
+										  partcollations, upper_bound1,
+										  upper_bound2);
 	}
 
 	return overlap;
@@ -3364,7 +3364,7 @@ add_merged_range_bounds(int partnatts, FmgrInfo *partsupfuncs,
 	if (!*merged_datums)
 	{
 		Assert(!*merged_kinds && !*merged_indexes);
-		cmpval = 1;
+		cmpval = 1; /* First merged partition */
 	}
 	else
 	{
@@ -3496,21 +3496,21 @@ partition_range_bounds_merge(int partnatts, FmgrInfo *partsupfuncs,
 		if (outer_part == -1)
 		{
 			overlap = false;
-			ub_cmpval = 1;
 			lb_cmpval = 1;
+			ub_cmpval = 1;
 		}
 		else if (inner_part == -1)
 		{
 			overlap = false;
-			ub_cmpval = -1;
 			lb_cmpval = -1;
+			ub_cmpval = -1;
 		}
 		else
 			overlap = compare_range_partitions(partnatts, partsupfuncs,
 											   partcollations,
 											   &outer_lb, &outer_ub,
 											   &inner_lb, &inner_ub,
-											   &ub_cmpval, &lb_cmpval);
+											   &lb_cmpval, &ub_cmpval);
 
 		if (overlap)
 		{
-- 
2.18.0

